<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://xmlns.jcp.org/xml/ns/javaee"
	xmlns:web="http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
	id="RepairAgency2_ID" version="4.0">

	<display-name>RepairAgency2</display-name>
	<session-config>
		<session-timeout>30</session-timeout>
	</session-config>

	<welcome-file-list>
		<welcome-file>/index.jsp</welcome-file>
	</welcome-file-list>


	<filter>
		<filter-name>encoding-filter</filter-name>
		<filter-class>com.repairagency2.filter.EncodingFilter</filter-class>
		<init-param>
			<param-name>active</param-name>
			<param-value>true</param-value>
		</init-param>
		<init-param>
			<param-name>encoding</param-name>
			<param-value>UTF-8</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>request-logging-filter</filter-name>
		<filter-class>com.repairagency2.filter.RequsetLoggingFilter</filter-class>
		<init-param>
			<param-name>active</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>authentication-filter</filter-name>
		<filter-class>com.repairagency2.filter.AuthenticationFilter</filter-class>
		<init-param>
			<param-name>active</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>
	
	<filter>
		<filter-name>authorization-filter</filter-name>
		<filter-class>com.repairagency2.filter.AuthorizationFillter</filter-class>
		<init-param>
			<param-name>active</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>session-filter</filter-name>
		<filter-class>com.repairagency2.filter.SessionFilter</filter-class>
		<init-param>
			<param-name>active</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>session-cleaner-filter</filter-name>
		<filter-class>com.repairagency2.filter.SessionCleanerFilter</filter-class>
		<init-param>
			<param-name>active</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>

	<filter-mapping>
		<filter-name>encoding-filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>request-logging-filter</filter-name>
		<url-pattern>/*</url-pattern>
		<dispatcher>REQUEST</dispatcher>
	</filter-mapping>

	<filter-mapping>
		<filter-name>authentication-filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	
	<filter-mapping>
		<filter-name>authorization-filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>session-filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>session-cleaner-filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<error-page>
		<error-code>404</error-code>
		<location>/notice?404</location>
	</error-page>

	<error-page>
		<error-code>405</error-code>
		<location>/notice</location>
	</error-page>
	
</web-app>